求助:安装vmware-tools时module都装不上

Kvm、VMware、Virtualbox、Xen、Qemu 等
回复
lxjxiaojun
帖子: 2
注册时间: 2009-07-14 21:31
送出感谢: 0
接收感谢: 0

求助:安装vmware-tools时module都装不上

#1

帖子 lxjxiaojun » 2010-05-27 15:35

宿主为XP,VM版本为6.5.2 ubuntu版本为10.04
安装vmware-tools时,安装vmmemctl module,vmhgfs module等等module都报错
Building the vmmemctl module.

Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config5/vmmemctl-only'
make -C /lib/modules/2.6.32-21-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.32-21-generic'
CC [M] /tmp/vmware-config5/vmmemctl-only/backdoorGcc32.o
In file included from /tmp/vmware-config5/vmmemctl-only/backdoor.h:29,
from /tmp/vmware-config5/vmmemctl-only/backdoorGcc32.c:45:
/tmp/vmware-config5/vmmemctl-only/vm_basic_types.h:108:7: warning: "__FreeBSD__" is not defined
CC [M] /tmp/vmware-config5/vmmemctl-only/os.o
In file included from /tmp/vmware-config5/vmmemctl-only/os.c:51:
/tmp/vmware-config5/vmmemctl-only/compat_wait.h:78: error: conflicting types for ‘poll_initwait’
include/linux/poll.h:70: note: previous declaration of ‘poll_initwait’ was here
make[2]: *** [/tmp/vmware-config5/vmmemctl-only/os.o] Error 1
make[1]: *** [_module_/tmp/vmware-config5/vmmemctl-only] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.32-21-generic'
make: *** [vmmemctl.ko] Error 2
make: Leaving directory `/tmp/vmware-config5/vmmemctl-only'
Unable to build the vmmemctl module.

请大家帮忙看看到底该怎么解决 谢谢~~
头像
ATiGr
帖子: 95
注册时间: 2010-05-29 23:33
送出感谢: 0
接收感谢: 0

Re: 求助:安装vmware-tools时module都装不上

#2

帖子 ATiGr » 2010-05-31 11:02

不了解,帮顶一下。
话说,
为啥要用6.5的VM?要么7.1,要么就vbox3.2吧~
回复

回到 “虚拟机和虚拟化”